import type db from '..'
import type { CollectionStatsInput } from '../schema/collection-stats.schema'
import collectionStatsTable from '../schema/collection-stats.schema'

export default async function seed(db:db) {
    await db.insert(collectionStatsTable).values(collectionStatsData)
}

const collectionStatsData: CollectionStatsInput[] = [
    {
        views: 100,
        downloads: 50,
        likes: 20,
        shares: 10,
        score: '4',
        follows: 5,
    },
    {
        views: 200,
        downloads: 100,
        likes: 40,
        shares: 20,
        score: '4',
        follows: 10,
    },
    {
        views: 300,
        downloads: 150,
        likes: 60,
        shares: 30,
        score: '4',
        follows: 15,
    }

]