import type db from "..";
import { licenseTable } from "../schema";
import type { LicenseInput } from "../schema/license.schema";


export default async function seed(db: db) {
    await db.insert(licenseTable).values(licenseData)
}

const licenseData: LicenseInput[] = [
    {
        name: 'CC BY',
        description: 'Creative Commons Attribution 4.0 International',
        url: 'https://creativecommons.org/licenses/by/4.0/'
    },
    {
        name: 'CC BY-SA',
        description: 'Creative Commons Attribution-ShareAlike 4.0 International',
        url: 'https://creativecommons.org/licenses/by-sa/4.0/'
    },
    {
        name: 'CC BY-NC',
        description: 'Creative Commons Attribution-NonCommercial 4.0 International',
        url: 'https://creativecommons.org/licenses/by-nc/4.0/'
    },
    {
        name: 'CC BY-ND',
        description: 'Creative Commons Attribution-NoDerivatives 4.0 International',
        url: 'https://creativecommons.org/licenses/by-nd/4.0/'
    },
    {
        name: 'CC BY-NC-SA',
        description: 'Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International',
        url: 'https://creativecommons.org/licenses/by-nc-sa/4.0/'
    },
    {
        name: 'CC0',
        description: 'Creative Commons Zero v1.0 Universal',
        url: 'https://creativecommons.org/publicdomain/zero/1.0/'
    },
    {
        name: 'Public Domain',
        description: 'Public Domain',
        url: 'https://creativecommons.org/publicdomain/mark/1.0/'
    },
    {
        name: 'All Rights Reserved',
        description: 'All Rights Reserved',
        url: ''
    }
]