import type db from '@/db';
import { resourceLanguagesTable } from '../schema';
import type { ResourceLanguagesInput } from '../relations/resource-language.relation';


export default async function seed(db: db) {
    await db.insert(resourceLanguagesTable).values(resourceLanguageData);
}

const resourceLanguageData: ResourceLanguagesInput[] = [
    {
        resource_id: 1,
        language_id: 1
    },
    {
        resource_id: 1,
        language_id: 2
    },
    {
        resource_id: 2,
        language_id: 1
    },
    {
        resource_id: 2,
        language_id: 3
    }
];