import type db from "..";
import { submissionTable } from "../schema";
import type { SubmissionInput } from "../schema/submission.schema";

export default async function seed(db: db) {
    await db.insert(submissionTable).values(submissionData)
}

const submissionData: SubmissionInput[] = [
    {
        is_accepted: true,
        justification: 'I like it',
        resource_id: 1,
        submitter_id: 1,
        curator_id: 1,
        q1: true,
        q2: false,
        q3: false,
        q4: false,
    },
    {
        is_accepted: true,
        justification: 'I like it',
        resource_id: 1,
        submitter_id: 1,
        curator_id: 1,
        q1: true,
        q2: false,
        q3: false,
        q4: false,
    },
    {
        is_accepted: true,
        justification: 'I like it',
        resource_id: 1,
        submitter_id: 1,
        curator_id: 1,
        q1: true,
        q2: false,
        q3: false,
        q4: false,
    },

]