import type db from '@/db'
import { userRoleRelationTable } from '../schema'
import type { UserRoleRelationInput } from '../relations/user-role.relation'

export default async function seed(db: db){
  await db.insert(userRoleRelationTable).values(userRolesData)
}

const userRolesData: UserRoleRelationInput[] = [
  {
    user_id: 1,
    role_id: 3
  }
]