import type db from "..";
import type { ResourceSubjectsInput } from "../relations/resource-subject.relation";
import resourceSubjectsTable from "../relations/resource-subject.relation";


export default async function seed(db: db) {
    await db.insert(resourceSubjectsTable).values(resourceSubjectData);
}

const resourceSubjectData: ResourceSubjectsInput[] = [
    {
        resource_id: 1,
        subject_id: 1
    },
    {
        resource_id: 1,
        subject_id: 2
    },
    {
        resource_id: 2,
        subject_id: 1
    },
    {
        resource_id: 2,
        subject_id: 3
    }
];